JTS Topology Suite version 1.13

## com.vividsolutions.jts.operation.relate
Class RelateNode

    java.lang.Object
      com.vividsolutions.jts.geomgraph.GraphComponent
          com.vividsolutions.jts.geomgraph.Node
              com.vividsolutions.jts.operation.relate.RelateNode

    public class RelateNode

extends Node

Represents a node in the topological graph used to compute spatial relationships.

Version:
  1.7

Field Summary

Fields inherited from class com.vividsolutions.jts.geomgraph.Node
`coord, edges`

Fields inherited from class com.vividsolutions.jts.geomgraph.GraphComponent
`label`

Constructor Summary
`RelateNode(Coordinate coord, EdgeEndStar edges)`

Method Summary
`protected void` `computeIM(IntersectionMatrix im)` Update the IM with the contribution for this component.

Methods inherited from class com.vividsolutions.jts.geomgraph.Node
`add, getCoordinate, getEdges, isIncidentEdgeInResult, isIsolated, mergeLabel, mergeLabel, print, setLabel, setLabelBoundary`

Methods inherited from class com.vividsolutions.jts.geomgraph.GraphComponent
`getLabel, isCovered, isCoveredSet, isInResult, isVisited, setCovered, setInResult, setLabel, setVisited, updateIM`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelateNode

    public RelateNode(Coordinate coord,
                      EdgeEndStar edges)

Method Detail

### computeIM

    protected void computeIM(IntersectionMatrix im)

  Update the IM with the contribution for this component. A component only contributes if it has a labelling for both parent geometries

  Overrides:
    `computeIM` in class `Node`

JTS Topology Suite version 1.13